Bug 1144064 - Please add "pam_keyinit.so" to the /etc/pam.d/xrdp-sesman configuration file
Please add "pam_keyinit.so" to the /etc/pam.d/xrdp-sesman configuration file
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: X11 Applications
Current
All openSUSE Factory
: P5 - None : Normal (vote)
: Current
Assigned To: Felix Zhang
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-02 15:23 UTC by Josef Möllers
Modified: 2019-10-14 11:55 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Möllers 2019-08-02 15:23:25 UTC
In the near future, the use of kernel keyrings will be enabled by systemd.
To fully support this feature, the xrdp package must include the pam_keyinit.so
module in its /etc/pam.d/xrdp-sesman configuration file.
Please add this module to the /etc/pam.d/xrdp-sesman configuration file with the
appropriate parameters:
session optional pam_keyinit.so revoke [force]
Thanks.
Comment 2 Felix Zhang 2019-08-08 06:50:44 UTC
Changing Product to "Tumbleweed” with clarifications from Josef.
Submission to SLE-15 will be dropped.

Close as fix checked in Factory.